%global tag_version release-42

Summary:    Emoji annotation files in CLDR
Name:       cldr-emoji-annotation
Version:    42
Release:    4%{?dist}
License:    Unicode-DFS-2016
URL:        https://unicode.org/cldr
Source0:    https://github.com/unicode-org/cldr/archive/refs/tags/%{tag_version}.zip

BuildRequires: autoconf automake
Requires:  %{name}-dtd

BuildArch:  noarch
 
%description
Cldr-emoji-annotation provides the emoji annotation files by language in CLDR.
 
%package dtd
Summary:    DTD files of CLDR common
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch
 
%description dtd
This package provides the required DTD files for cldr-emoji-annotations.
 
%package devel
Summary:    Files for development using cldr-annotations
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig
BuildArch:  noarch
 
%description devel
This package provides the pkg-config files for cldr-emoji-annotations.
 
 
%prep
%autosetup -n cldr-%{tag_version}
 
 
%install
pushd $PWD
ANNOTATION_DIR=common/annotations
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
pushd $ANNOTATION_DIR
for xml in *.xml ; do
    install -pm 644 -D $xml %{buildroot}$CLDR_DIR/$xml
done
popd
 
ANNOTATION_DIR=common/annotationsDerived
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
pushd $ANNOTATION_DIR
for xml in *.xml ; do
    install -pm 644 -D $xml %{buildroot}$CLDR_DIR/$xml
done
popd
 
DTD_DIR=common/dtd
CLDR_DIR=%{_datadir}/unicode/cldr/$DTD_DIR
pushd $DTD_DIR
for dtd in *.dtd ; do
    install -pm 644 -D $dtd %{buildroot}$CLDR_DIR/$dtd
done
popd
 
install -pm 755 -d %{buildroot}%{_datadir}/pkgconfig
cat >> %{buildroot}%{_datadir}/pkgconfig/%{name}.pc <<_EOF
prefix=/usr
 
Name: cldr-emoji-annotations
Description: annotation files in CLDR
Version: %{version}
_EOF

 
%check
ANNOTATION_DIR=common/annotations
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
for xml in $ANNOTATION_DIR/*.xml ; do
    xmllint --noout --valid --postvalid $xml
done
 
ANNOTATION_DIR=common/annotationsDerived
CLDR_DIR=%{_datadir}/unicode/cldr/$ANNOTATION_DIR
for xml in $ANNOTATION_DIR/*.xml ; do
    xmllint --noout --valid --postvalid $xml
done
 
 
%files
%license unicode-license.txt
%doc README.md
%{_datadir}/unicode/cldr/common/annotations
%{_datadir}/unicode/cldr/common/annotationsDerived
 
%files dtd
%dir %{_datadir}/unicode
%dir %{_datadir}/unicode/cldr
%dir %{_datadir}/unicode/cldr/common
%{_datadir}/unicode/cldr/common/dtd
 
%files devel
%{_datadir}/pkgconfig/*.pc
 
%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 22 2022 Wang Guodong <gordonwwang@tencent.com> - 42-1
- package init.
